import sendgrid from '@sendgrid/mail';
import { ProviderType } from '../provider-type.js';
export class TwilioSendgrid {
    client = sendgrid;
    name = 'twilio-sendgrid';
    type = ProviderType.SMTP;
    apiKey;
    constructor(apiKey) {
        this.apiKey = apiKey ?? '';
    }
    async send(to, from, message, subject) {
        const smtpMessage = {
            to,
            from,
            subject: subject ?? 'no subject',
            html: message,
            mail_settings: {
                sandbox_mode: {
                    enable: process.env.NODE_ENV === 'test', // eslint-disable-line n/prefer-global/process
                },
            },
        };
        this.client.setApiKey(this.apiKey);
        await this.client.send(smtpMessage);
        return true;
    }
}
//# sourceMappingURL=twilio-sendgrid.js.map