import axios from 'axios';
import { ProviderType } from '../provider-type.js';
export class WebHook {
    name = 'webhook';
    type = ProviderType.WEBHOOK;
    async send(to, from, message, subject) {
        const messageData = JSON.parse(message);
        if (!subject) {
            messageData.subject = subject;
        }
        const messageString = JSON.stringify(messageData);
        await axios.post(to, { json: messageString });
        return true;
    }
}
//# sourceMappingURL=webhook.js.map